Subject: [mvfree] OFFER: Rival automatic rice cooker/steamer

From: Thida Cornes <[email-masked]>
Date: Tue, 06 Mar 2007 12:30:25 -0800

Rival automatic rice cooker/steamer model 4356 with removable metal 
liner and all metal construction, except for plastic clamps to hold down 
the lid and plastic legs.   Works great.  Very sturdy.  7-cup capacity.  
Has warm and cook function.   Includes metal steam tray and plastic 
measuring cup.